public class Block{
  
  int bX,bY,bW,bH;
  boolean lit=false;
  color dead=color(0);
  color alive=color(150);
  
  public Block(int x, int y, int w, int h){
    bX=x;
    bY=y;
    bW=w;
    bH=h;
    
  }
  
  public void live(){
    lit=!lit;
  }
  
  public boolean isLit(){
    return lit;
  }
  
  public void show(){
    if(lit){
      fill(alive);
      stroke(dead);
    }else{
      fill(dead);
      stroke(alive);
    }
    rect(bX,bY,bW,bH);
  }
  
  public boolean contains(int x, int y){
    return (bX <= x && x < bX + bW &&
            bY <= y && y < bY + bH   );
  }
  
  public void clear(){
    lit=false;
  }
  
  public String toString(){
    return("--x: "+bX+" y: "+bY+" lit--");
  } 
}
